unit MBM5Types;

interface

type
  TBus           = (ISA, SMBus, VIA686ABus);
  TSMB           = (SMBIntel, SMBAMD);

    TSharedData = Record
      STemperature       : array [1..10]  of Integer;   // Holding the 10 possible temps
      SVoltage           : array [1..10]  of Real;      // Holding the 7 possible voltages
      SFan               : array [1..10]  of Integer;   // Holding the 4 possible fans
      SMHZ               : Integer;                     // CPU freq
      SNrCPU             : Byte;                        // Number of CPU's
      SCPUUsage          : array [1..4]     of Real;    // Holding the cpu usage of the 4 possible cpu's
    end;

    TSharedInfo = Record
      SMBM_Version       : array [0..10]  of Char;      // the version number (example: 5.1 or 5.09)
      SSMB_Base          : Word;                        // SMBus base address
      SSMB_Type          : TBus;                        // SMBus/Isa bus used to access chip
      SSMB_Code          : TSMB;                        // SMBus sub type, Intel, AMD or ALi
      SSMB_Addr          : Byte;                        // Address of sensor chip on SMBus
      SSMB_Name          : array [0..40]  of Char;      // Nice name for SMBus
      SISA_Base          : Word;                        // ISA base address of sensor chip on ISA
      SChipType          : Integer;                     // Chip nr, connects with Chipinfo.ini
      SVoltageSubType    : Byte;                        // Subvoltage option selected
    end;

    TSharedHL = Record                                  // Avarage = A / C
      STempC             : array [1..10]  of LongInt;   // total number of readouds of temp
      STempA             : array [1..10]  of Extended;  // total amount of all readouts of temp
      STempL             : array [1..10]  of Real;      // lowest value so far of temp
      STempH             : array [1..10]  of Real;      // highest value so far of temp
      SVoltC             : array [1..10]  of LongInt;   // total number of readouts of voltage
      SVoltA             : array [1..10]  of Extended;  // total amount of all readouts of voltage
      SVoltL             : array [1..10]  of Real;      // lowest value so far of voltage
      SVoltH             : array [1..10]  of Real;      // highest value so far of voltage
      SFanC              : array [1..10]  of LongInt;   // total number of readouds of fan
      SFanA              : array [1..10]  of Extended;  // total amount of all readouts of fan
      SFanL              : array [1..10]  of Real;      // lowest value so far of fan
      SFanH              : array [1..10]  of Real;      // highest value so far of fan
      SStart             : array [0..40]  of Char;      // starting time
      SCurrent           : array [0..40]  of Char;      // current time
      SCPUC              : array [1..4]   of LongInt;   // total number of readouds of cpu
      SCPUA              : array [1..4]   of Extended;  // total amount of all readouts of cpu
      SCPUL              : array [1..4]   of Real;      // lowest value so far of cpu
      SCPUH              : array [1..4]   of Real;      // highest value so far of cpu
    end;

    TSharedName = Record
      STempName       : array [1..10] of array [0..10] of Char;  // array 10 deep for a name 11 char long
      SVoltName       : array [1..10] of array [0..10] of Char;  // array 10 deep for a name 11 char long
      SFanName        : array [1..10] of array [0..10] of Char;  // array 10 deep for a name 11 char long
      SCPUName        : array [0..10] of Char;                   // for name 11 char long
      SCPUUSageName   : array [0..10] of Char;                    // for name 11 char long
    end;

  PSharedData = ^TSharedData;
  PSharedInfo = ^TSharedInfo;
  PSharedHL   = ^TSharedHL;
  PSharedName = ^TSharedName;

implementation

end.
