Unit ExFont;

interface

uses PollinLCDBasics;

procedure LoadExFont(Printerport: Integer; Bidi: Boolean);

const
  //CharHitachi [32..223]
  //Char5x7     [32..126]
  //CharDOS5x7  [0..255]

  CharDOS5x7 : Array[0..255] of Array[1..7] of Array[1..5] of byte =
  { 000 }   (((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),
              

  { 001 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,0,1,1),
              (1,0,0,0,1),
              (1,1,0,1,1),
              (1,0,1,0,1),
              (0,1,1,1,0)),

  { 002 }    ((0,1,1,1,0),
              (1,1,1,1,1),
              (1,0,1,0,1),
              (1,1,1,1,1),
              (1,0,1,0,1),
              (1,1,0,1,1),
              (0,1,1,1,0)),

  { 003 }    ((0,0,0,0,0),
              (0,1,0,1,0),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 004 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,1,1,1,1),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 005 }    ((0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,1,0,1),
              (1,1,1,1,1),
              (1,0,1,0,1),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 006 }    ((0,0,1,0,0),
              (0,1,1,1,0),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (1,0,1,0,1),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 007 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 008 }    ((0,0,0,0,0),
              (1,1,1,1,1),
              (1,1,0,1,1),
              (1,0,0,0,1),
              (1,1,0,1,1),
              (1,1,1,1,1),
              (0,0,0,0,0)),

  { 009 }    ((0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0),
              (0,0,0,0,0)),

  { 010 }    ((1,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,0),
              (0,1,1,1,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1)),

  { 011 }    ((0,0,0,0,0),
              (0,0,0,0,1),
              (0,0,0,1,0),
              (1,1,1,0,0),
              (1,0,1,0,0),
              (1,1,1,0,0),
              (0,0,0,0,0)),

  { 012 }    ((0,0,0,0,0),
              (0,1,1,1,0),
              (0,1,0,1,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 013 }    ((0,0,0,0,0),
              (0,0,1,0,1),
              (0,0,1,1,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,0,0),
              (0,0,0,0,0)),

  { 014 }    ((0,1,0,0,0),
              (0,1,1,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,0,1,0),
              (0,0,1,1,0),
              (0,0,0,0,0)),

  { 015 }    ((0,0,0,0,0),
              (1,0,1,0,1),
              (0,1,1,1,0),
              (1,1,0,1,1),
              (0,1,1,1,0),
              (1,0,1,0,1),
              (0,0,0,0,0)),

  { 016 }    ((0,0,0,0,0),
              (0,1,0,0,0),
              (0,1,1,0,0),
              (0,1,1,1,0),
              (0,1,1,0,0),
              (0,1,0,0,0),
              (0,0,0,0,0)),

  { 017 }    ((0,0,0,0,0),
              (0,0,0,1,0),
              (0,0,1,1,0),
              (0,1,1,1,0),
              (0,0,1,1,0),
              (0,0,0,1,0),
              (0,0,0,0,0)),

  { 018 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 019 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,0,1,0)),

  { 020 }    ((0,1,1,1,1),
              (1,1,0,1,0),
              (1,1,0,1,0),
              (1,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 021 }    ((0,0,1,0,0),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,1,0,0)),

  { 022 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 023 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 024 }    ((0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,1,0,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 025 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,0,1,0,1),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 026 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (1,1,1,1,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 027 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,1,1,1,1),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 028 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 029 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,0,1,0),
              (1,1,1,1,1),
              (0,1,0,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 030 }    ((0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 031 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 032 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 033 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,1,0,0)),

  { 034 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 035 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,1,1,1),
              (0,1,0,1,0),
              (1,1,1,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 036 }    ((0,0,1,0,0),
              (0,1,1,1,1),
              (1,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,1),
              (1,1,1,1,0),
              (0,0,1,0,0)),

  { 037 }    ((1,1,0,0,0),
              (1,1,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,0,0,1,1),
              (0,0,0,1,1)),

  { 038 }    ((0,1,1,0,0),
              (1,0,0,1,0),
              (1,0,1,0,0),
              (0,1,0,0,0),
              (1,0,1,0,1),
              (1,0,0,1,0),
              (0,1,1,0,1)),

  { 039 }    ((0,1,1,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 040 }    ((0,0,0,1,0),         // (
              (0,0,1,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0)),

  { 041 }    ((0,1,0,0,0),         // )
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0)),

  { 042 }    ((0,0,0,0,0),        // *
              (0,0,1,0,0),
              (1,0,1,0,1),
              (0,1,1,1,0),
              (1,0,1,0,1),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 043 }    ((0,0,0,0,0),       // +
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,0,0,0)),

  { 044 }    ((0,0,0,0,0),       // ,
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0)),

  { 045 }    ((0,0,0,0,0),      // -
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 046 }    ((0,0,0,0,0),     // .
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,0,0),
              (0,1,1,0,0)),

  { 047 }    ((0,0,0,0,0),    // /
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,0,0,0,0),
              (0,0,0,0,0)),

  { 048 }    ((0,1,1,1,0),   // 0
              (1,0,0,0,1),
              (1,0,0,1,1),
              (1,0,1,0,1),
              (1,1,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 049 }    ((0,0,1,0,0),   // 1
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 050 }    ((0,1,1,1,0),   // 2
              (1,0,0,0,1),
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,1,1,1,1)),

  { 051 }    ((1,1,1,1,1),   // 3
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 052 }    ((0,0,0,1,0),    // 4
              (0,0,1,1,0),
              (0,1,0,1,0),
              (1,0,0,1,0),
              (1,1,1,1,1),
              (0,0,0,1,0),
              (0,0,0,1,0)),

  { 053 }    ((1,1,1,1,1),
              (1,0,0,0,0),   // 5
              (1,1,1,1,0),
              (0,0,0,0,1),
              (0,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 054 }    ((0,0,1,1,0),   // 6
              (0,1,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 055 }    ((1,1,1,1,1),   // 7
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0)),

  { 056 }    ((0,1,1,1,0),   // 8
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 057 }    ((0,1,1,1,0),   // 9
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,1),
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,1,1,0,0)),

  { 058 }    ((0,0,0,0,0),   // :
              (0,1,1,0,0),
              (0,1,1,0,0),
              (0,0,0,0,0),
              (0,1,1,0,0),
              (0,1,1,0,0),
              (0,0,0,0,0)),

  { 059 }    ((0,0,0,0,0),   // ;
              (0,1,1,0,0),
              (0,1,1,0,0),
              (0,0,0,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0)),

  { 060 }    ((0,0,0,1,0),  // <
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,0,0,0,0),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0)),

  { 061 }    ((0,0,0,0,0),  // >
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 062 }    ((0,1,0,0,0),   // ?
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0)),

  { 063 }    ((0,1,1,1,0),   // @
              (1,0,0,0,1),
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,1,0,0)),

  { 064 }    ((0,1,1,1,0),   // A
              (1,0,0,0,1),
              (0,0,0,0,1),
              (0,1,1,0,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (0,1,1,1,0)),

  { 065 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 066 }    ((1,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,0)),

  { 067 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 068 }    ((1,1,1,0,0),
              (1,0,0,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,1,0),
              (1,1,1,0,0)),

  { 069 }    ((1,1,1,1,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,1)),

  { 070 }    ((1,1,1,1,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0)),

  { 071 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,0),
              (1,0,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 072 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 073 }    ((0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 074 }    ((0,0,1,1,1),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (1,0,0,1,0),
              (0,1,1,0,0)),

  { 075 }    ((1,0,0,0,1),
              (1,0,0,1,0),
              (1,0,1,0,0),
              (1,1,0,0,0),
              (1,0,1,0,0),
              (1,0,0,1,0),
              (1,0,0,0,1)),

  { 076 }    ((1,0,0,0,0),    // L
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,1)),

  { 077 }    ((1,0,0,0,1),
              (1,1,0,1,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 078 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,0,0,1),
              (1,0,1,0,1),
              (1,0,0,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 079 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 080 }    ((1,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0)),

  { 081 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,1,0,1),
              (1,0,0,1,0),
              (0,1,1,0,1)),

  { 082 }    ((1,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,0),
              (1,0,1,0,0),
              (1,0,0,1,0),
              (1,0,0,0,1)),

  { 083 }    ((0,1,1,1,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,0,0,0,1),
              (1,1,1,1,0)),

  { 084 }    ((1,1,1,1,1),   // T
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 085 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 086 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0)),

  { 087 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (0,1,0,1,0)),

  { 088 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,1,0,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 089 }    ((1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 090 }    ((1,1,1,1,1),   // Z
              (0,0,0,0,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,0,0,0,0),
              (1,1,1,1,1)),

  { 091 }    ((0,1,1,1,0),   // [
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,1,1,0)),

  { 092 }    ((0,0,0,0,0),   // ]
              (1,0,0,0,0),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,0,0,1),
              (0,0,0,0,0)),

  { 093 }    ((0,1,1,1,0),  // ^
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (0,1,1,1,0)),

  { 094 }    ((0,0,1,0,0), // _
              (0,1,0,1,0),
              (1,0,0,0,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 095 }    ((0,0,0,0,0),  //`
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1)),

  { 096 }    ((0,1,0,0,0),   // a
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 097 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 098 }    ((1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,1,1,0),
              (1,1,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,0)),

  { 099 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 100 }    ((0,0,0,0,1),
              (0,0,0,0,1),
              (0,1,1,0,1),
              (1,0,0,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 101 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (0,1,1,1,0)),

  { 102 }    ((0,0,1,1,0),
              (0,1,0,0,1),
              (0,1,0,0,0),
              (1,1,1,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0)),

  { 103 }    ((0,0,0,0,0),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,1),
              (0,0,0,0,1),
              (0,1,1,1,0)),

  { 104 }    ((1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,1,1,0),
              (1,1,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 105 }    ((0,0,1,0,0),
              (0,0,0,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 106 }    ((0,0,0,1,0),
              (0,0,0,0,0),
              (0,0,1,1,0),
              (0,0,0,1,0),
              (0,0,0,1,0),
              (1,0,0,1,0),
              (0,1,1,0,0)),

  { 107 }    ((1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,1,0),
              (1,0,1,0,0),
              (1,1,0,0,0),
              (1,0,1,0,0),
              (1,0,0,1,0)),

  { 108 }    ((0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 109 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,0,1,0),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 110 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,1,1,0),
              (1,1,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 111 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 112 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,0),
              (1,0,0,0,0),
              (1,0,0,0,0)),

  { 113 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,0,1),
              (1,0,0,1,1),
              (0,1,1,1,1),
              (0,0,0,0,1),
              (0,0,0,0,1)),

  { 114 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,1,1,0),
              (1,1,0,0,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0)),

  { 115 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (1,1,1,1,0)),

  { 116 }    ((0,1,0,0,0),
              (0,1,0,0,0),
              (1,1,1,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,0,0,1),
              (0,0,1,1,0)),

  { 117 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,1,1),
              (0,1,1,0,1)),

  { 118 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0)),

  { 119 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (0,1,0,1,0)),

  { 120 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,1,0,1,0),
              (1,0,0,0,1)),

  { 121 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,1),
              (0,0,0,0,1),
              (0,1,1,1,0)),

  { 122 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,1,1,1,1)),

  { 123 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0)),

  { 124 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 125 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0)),

  { 126 }    ((0,1,0,1,0),
              (1,0,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 127 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 128 }    ((0,0,1,1,1),       //
              (0,1,0,0,0),
              (1,1,1,1,0),
              (0,1,0,0,0),
              (1,1,1,1,0),
              (0,1,0,0,0),
              (0,0,1,1,1)),

  { 129 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,1,1),
              (0,1,1,0,1)),

  { 130 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (0,1,1,1,0)),

  { 131 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 132 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 133 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 134 }    ((0,1,1,1,0),
              (0,1,0,1,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 135 }    ((0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,1),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 136 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (0,1,1,1,0)),

  { 137 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (0,1,1,1,0)),

  { 138 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (0,1,1,1,0)),

  { 139 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 140 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 141 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 142 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 143 }    ((0,1,1,1,0),
              (0,1,0,1,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 144 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (1,1,1,1,0),
              (1,0,0,0,0),
              (1,1,1,1,1)),

  { 145 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,0,1,1),
              (0,0,1,0,1),
              (0,1,1,1,0),
              (1,0,1,0,0),
              (1,1,0,1,1)),

  { 146 }    ((0,1,1,1,1),
              (1,0,1,0,0),
              (1,0,1,0,0),
              (1,1,1,1,1),
              (1,0,1,0,0),
              (1,0,1,0,0),
              (1,0,1,1,1)),

  { 147 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 148 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 149 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 150 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,1,1),
              (0,1,1,0,1)),

  { 151 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,1,1),
              (0,1,1,0,1)),

  { 152 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,1),
              (0,0,0,0,1),
              (0,1,1,1,0)),

  { 153 }    ((0,1,0,1,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 154 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 155 }    ((0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,0),
              (1,0,0,0,1),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 156 }    ((0,0,1,1,0),
              (0,1,0,0,1),
              (1,1,1,0,0),
              (0,1,0,0,0),
              (0,1,0,0,0),
              (0,1,1,0,0),
              (1,0,0,1,1)),

  { 157 }    ((1,0,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 158 }    ((1,1,0,0,0),
              (1,0,1,0,0),
              (1,0,1,1,0),
              (1,1,0,1,0),
              (1,0,1,1,1),
              (1,0,0,1,0),
              (1,0,0,1,1)),

  { 159 }    ((0,0,0,1,1),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0)),

  { 160 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 161 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,1,1,1,0)),

  { 162 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 163 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,1,1),
              (0,1,1,0,1)),

  { 164 }    ((0,1,0,1,0),
              (0,0,1,0,1),
              (1,0,1,1,0),
              (1,1,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 165 }    ((0,0,1,0,1),
              (0,1,0,1,0),
              (1,0,0,0,1),
              (1,1,0,0,1),
              (1,0,1,0,1),
              (1,0,0,1,1),
              (1,0,0,0,1)),

  { 166 }    ((0,1,1,0,0),
              (0,0,0,1,0),
              (0,1,1,1,0),
              (0,1,1,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 167 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 168 }    ((0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 169 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 170 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,1),
              (0,0,0,0,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 171 }    ((0,1,0,0,0),
              (0,1,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,1,0,1,1),
              (1,0,0,0,1),
              (0,0,0,1,1)),

  { 172 }    ((0,1,0,0,0),
              (0,1,0,0,1),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,1,0,1,1),
              (1,0,0,1,1),
              (0,0,0,0,1)),

  { 173 }    ((0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 174 }    ((0,0,0,0,0),
              (0,0,1,0,1),
              (0,1,0,1,0),
              (1,0,1,0,0),
              (0,1,0,1,0),
              (0,0,1,0,1),
              (0,0,0,0,0)),

  { 175 }    ((0,0,0,0,0),
              (1,0,1,0,0),
              (0,1,0,1,0),
              (0,0,1,0,1),
              (0,1,0,1,0),
              (1,0,1,0,0),
              (0,0,0,0,0)),

  { 176 }    ((0,0,1,1,1),  // 
              (0,0,1,0,1),
              (0,0,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 177 }    ((1,0,1,0,1),
              (0,1,0,1,0),
              (1,0,1,0,1),
              (0,1,0,1,0),
              (1,0,1,0,1),
              (0,1,0,1,0),
              (1,0,1,0,1)),

  { 178 }    ((1,1,1,1,1),
              (1,0,1,0,1),
              (1,1,1,1,1),
              (1,0,1,0,1),
              (1,1,1,1,1),
              (1,0,1,0,1),
              (1,1,1,1,1)),

  { 179 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 180 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 181 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 182 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 183 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 184 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 185 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,0,1,0),
              (0,0,0,1,0),
              (1,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 186 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 187 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,0),
              (0,0,0,1,0),
              (1,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 188 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,0,1,0),
              (0,0,0,1,0),
              (1,1,1,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 189 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,1,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 190 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 191 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 192 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 193 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 194 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 195 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 196 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 197 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 198 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 199 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 200 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,1),
              (0,1,0,0,0),
              (0,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 201 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,1),
              (0,1,0,0,0),
              (0,1,0,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 202 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,0,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 203 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,0,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 204 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,1),
              (0,1,0,0,0),
              (0,1,0,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 205 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 206 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,0,1,1),
              (0,0,0,0,0),
              (1,1,0,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 207 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 208 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 209 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 210 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 211 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 212 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 213 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 214 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 215 }    ((0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (1,1,1,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 216 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 217 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 218 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 219 }    ((1,1,1,1,1),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (1,1,1,1,1)),

  { 220 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 221 }    ((1,1,0,0,0),
              (1,1,0,0,0),
              (1,1,0,0,0),
              (1,1,0,0,0),
              (1,1,0,0,0),
              (1,1,0,0,0),
              (1,1,0,0,0)),

  { 222 }    ((0,0,0,1,1),
              (0,0,0,1,1),
              (0,0,0,1,1),
              (0,0,0,1,1),
              (0,0,0,1,1),
              (0,0,0,1,1),
              (0,0,0,1,1)),

  { 223 }    ((1,1,1,1,1),
              (1,1,1,1,1),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 224 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,0,1),
              (1,0,0,1,0),
              (1,0,0,1,0),
              (1,0,0,1,0),
              (0,1,1,0,1)),

  { 225 }    ((0,1,1,1,0),
              (0,1,0,0,1),
              (0,1,0,0,1),
              (0,1,1,1,0),
              (0,1,0,0,1),
              (0,1,0,0,1),
              (1,1,1,1,0)),

  { 226 }    ((1,1,1,1,1),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0),
              (1,0,0,0,0)),

  { 227 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0),
              (0,1,0,1,0)),

  { 228 }    ((0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (0,0,0,0,1),
              (0,1,1,1,1),
              (1,0,0,0,1),
              (0,1,1,1,1)),

  { 229 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,1),
              (1,0,0,1,0),
              (1,0,0,1,0),
              (1,0,0,1,0),
              (0,1,1,0,0)),

  { 230 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,0),
              (1,0,0,0,0)),

  { 231 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 232 }    ((0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 233 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,1,1,1,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 234 }    ((0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,0,1,0),
              (1,1,0,1,1)),

  { 235 }    ((0,0,0,1,1),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 236 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,1,0,1,0),
              (1,0,1,0,1),
              (0,1,0,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 237 }    ((0,0,1,0,0),
              (0,1,1,1,0),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (1,0,1,0,1),
              (0,1,1,1,0),
              (0,0,1,0,0)),

  { 238 }    ((0,0,0,0,0),
              (0,1,1,1,1),
              (1,0,0,0,0),
              (1,1,1,1,0),
              (1,0,0,0,0),
              (0,1,1,1,1),
              (0,0,0,0,0)),

  { 239 }    ((0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (1,0,0,0,1)),

  { 240 }    ((0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0)),

  { 241 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,1,1,1,1),
              (0,0,0,0,0)),

  { 242 }    ((0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (0,0,0,0,0),
              (0,1,1,1,0)),

  { 243 }    ((0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,0,0,0),
              (0,0,1,0,0),
              (0,0,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0)),

  { 244 }    ((0,0,0,1,0),
              (0,0,1,0,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0)),

  { 245 }    ((0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,0,1,0,0),
              (0,1,0,0,0)),

  { 246 }    ((0,0,0,0,0),
              (0,1,0,1,0),
              (0,0,0,0,0),
              (0,1,1,1,0),
              (1,0,0,0,1),
              (1,0,0,0,1),
              (0,1,1,1,0)),

  { 247 }    ((0,0,0,0,0),
              (0,1,1,0,1),
              (1,0,0,1,0),
              (0,1,1,0,1),
              (1,0,0,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 248 }    ((0,0,1,0,0),
              (0,1,0,1,0),
              (0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 249 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,1,1,0),
              (0,0,1,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 250 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,1,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 251 }    ((0,0,0,0,0),
              (0,0,1,1,1),
              (0,0,1,0,0),
              (0,0,1,0,0),
              (1,0,1,0,0),
              (0,1,1,0,0),
              (0,0,1,0,0)),

  { 252 }    ((0,0,0,0,0),
              (0,1,0,1,0),
              (0,0,0,0,0),
              (1,0,0,1,0),
              (1,0,0,1,0),
              (1,0,0,1,0),
              (0,1,1,0,1)),

  { 253 }    ((0,1,1,0,0),
              (0,0,0,1,0),
              (0,0,1,0,0),
              (0,1,1,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 254 }    ((0,0,0,0,0),
              (0,1,1,1,0),
              (0,1,1,1,0),
              (0,1,1,1,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)),

  { 255 }    ((0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0),
              (0,0,0,0,0)));

implementation

procedure LoadExFont(Printerport: Integer; Bidi: Boolean);
var z, x, y: Integer;
    b: byte;
begin
 // Schreibadresse auf CG-RAM
  SetAddressPointer(Printerport, Bidi, CGRAM_HOME_ADDRESS);
  WriteCtrl(Printerport, Bidi, $b0);   //auto data write

  for z := 0 to 255 do
  begin
      for y := 1 to 7 do
      begin
          b := 0;
           for x := 1 to 5 do
           begin
               b := b shl 1;
               if CharDOS5x7[z, y , x] = 1 then b := b or 1;
           end;
           WriteData(Printerport, Bidi, b);
      end;
      WriteData(Printerport, Bidi, 0);
  end;
  WriteCtrl(Printerport, Bidi, $b2);  //auto read/write reset
end;

end.
