unit uVars;

interface

uses Windows, SysUtils, Dialogs, extctrls;

const
  VarSep = '$';
  ParamSep = ',';


var
  dwVersion: Integer;
  dwWindowsMajorVersion, dwWindowsMinorVersion: Byte;
  dwBuild: Integer;
  

function DekodiereZeile(InStr: String; L: Integer): String;
function HoleWert(InStr: String): String;
procedure DekodiereVariable(InStr: String; var VarName: String; var Params: array of Integer);
procedure AddPerfVar(ObjectName, Countername: String);
procedure CollectValues;

implementation

uses mbm5, PerfMonitor;

var
  MBM5SM: TMBM5SM;
  PM: TPerfMonitor;

procedure CollectValues;
begin
  MBM5SM.ReadShareMem;
  if Win32Platform = VER_PLATFORM_WIN32_NT then
    PM.Collect;
end;

function DekodiereZeile(Instr: String; L: Integer): String;
var
  Vorne, Rest, Variable, Tmp: String;
  i: Integer;
begin

  Result := '';
  Rest := InStr;
  while Pos(VarSep, Rest) > 0 do                             //solange Variable in Zeile vorhanden
  begin
        i := Pos(Varsep, Rest);
        Vorne := Copy(Rest, 0, i-1);                         //String vor dem $
        Rest := Copy(Rest, i, Length(Rest)-i+1);             //String ab dem $

        if Pos(VarSep, Rest) > 0 then                        //Varsep hinter der Variable
        begin
              Tmp := Copy(Rest, 2, Length(Rest));            //Ersten VarSep wegschneiden
              i := Pos(VarSep, Tmp);
              if i > 0 then
              begin
                    Variable := Copy(Tmp, 1, i - 1);         //Variablennamen mit Parameter extrahieren
                    Rest := Copy(Tmp, i + 1, Length(Tmp) - i + 1); //Rest nach dem Variablenbezeichner
              end
              else
                    Variable := '';
        end;
        Result := Result + Vorne + HoleWert(Variable);
  end;
  Result := Result + Rest;
  if L > 0 then
  begin
       if Length(Result) > L then Result := Copy(Result, 1, L);
       while Length(Result) < L do Result := Result + ' ';
  end;
end;

function HoleWert(InStr: String): String;
var
  VarName: String;
  Params: array[0..10] of Integer;
begin
  DekodiereVariable(Instr, VarName, Params);

  //----------------------------------MBM5-----------------------
  //----------------------------------MBM5-----------------------
  //MBM5 Names
  if VarName = 'mb_tn'     then Result := MBM5SM.SharedName.STempName[Params[0]];
  if VarName = 'mb_fn'     then Result := MBM5SM.SharedName.SFanName[Params[0]];
  if VarName = 'mb_vn'     then Result := MBM5SM.SharedName.SvoltName[Params[0]];
  //MBM5 Data
  if VarName = 'mb_t'      then Result := Format('%2s',[IntToStr(MBM5SM.SharedData.STemperature[Params[0]])]);
  if VarName = 'mb_f'      then Result := Format('%4s',[IntToStr(MBM5SM.SharedData.SFan[Params[0]])]);
  if VarName = 'mb_v'      then Result := Format('%5s',[FormatFloat('#0.00', MBM5SM.SharedData.Svoltage[Params[0]])]);
  if VarName = 'mb_cpu'    then Result := Format('%3s',[FormatFloat(  '##0', MBM5SM.SharedData.SCPUUsage[Params[0]])]);
  //MBM5 HighLow
  if VarName = 'mb_th'     then Result := Format('%2s',[FormatFloat(   '#0', MBM5SM.SharedHL.STempH[Params[0]])]);
  if VarName = 'mb_tl'     then Result := Format('%2s',[FormatFloat(   '#0', MBM5SM.SharedHL.STempL[Params[0]])]);
  if VarName = 'mb_fh'     then Result := Format('%4s',[FormatFloat( '###0', MBM5SM.SharedHL.SFanH[Params[0]])]);
  if VarName = 'mb_fl'     then Result := Format('%4s',[FormatFloat( '###0', MBM5SM.SharedHL.SFanL[Params[0]])]);
  if VarName = 'mb_vh'     then Result := Format('%5s',[FormatFloat('#0.00', MBM5SM.SharedHL.SVoltH[Params[0]])]);
  if VarName = 'mb_vl'     then Result := Format('%5s',[FormatFloat('#0.00', MBM5SM.SharedHL.SVoltL[Params[0]])]);
  if VarName = 'mb_cpul'   then Result := Format('%3s',[FormatFloat(  '##0', MBM5SM.SharedHL.SCPUL[Params[0]])]);
  if VarName = 'mb_cpuh'   then Result := Format('%3s',[FormatFloat(  '##0', MBM5SM.SharedHL.SCPUH[Params[0]])]);
  //MBM5 CPU
  if VarName = 'mb_mhz'    then Result := IntToStr(MBM5SM.SharedData.SMhz);
  if VarName = 'mb_nrcpu'  then Result := IntToStr(MBM5SM.SharedData.SNrCPU);

  //----------------------------------Performance-----------------------
  //----------------------------------Performance-----------------------
  if Win32Platform = VER_PLATFORM_WIN32_NT then
  begin

  if Params[0] = 0 then Params[0] := 1;
  if Params[1] = 0 then Params[1] := 1;
  if VarName = 'pf_net'    then Result := Format('%5s', [Formatfloat('##0.0', PM.Items[0].InstanceValues[Params[0]-1].AsFloat/Params[1])]);
  if VarName = 'pf_neti'   then Result := Format('%5s', [Formatfloat('##0.0', PM.Items[1].InstanceValues[Params[0]-1].AsFloat/Params[1])]);
  if VarName = 'pf_neto'   then Result := Format('%5s', [Formatfloat('##0.0', PM.Items[2].InstanceValues[Params[0]-1].AsFloat/Params[1])]);
  if VarName = 'pf_disk'   then Result := Format('%5s', [Formatfloat('##0.0', PM.Items[3].InstanceValues[Params[0]-1].AsFloat/Params[1])]);
  if VarName = 'pf_diskr'  then Result := Format('%5s', [Formatfloat('##0.0', PM.Items[4].InstanceValues[Params[0]-1].AsFloat/Params[1])]);
  if VarName = 'pf_diskw'  then Result := Format('%5s', [Formatfloat('##0.0', PM.Items[5].InstanceValues[Params[0]-1].AsFloat/Params[1])]);

  if VarName = 'pf_mem'    then Result := Formatfloat('###0', PM.Items[6].InstanceValues[Params[0]-1].AsFloat/Params[0]);
  if VarName = 'pf_cpu'    then Result := Format('%3s', [Formatfloat(  '##0', PM.Items[7].InstanceValues[Params[0]-1].AsFloat)]);
  if VarName = 'pf_threads'then Result := Format('%3s', [Formatfloat(  '##0', PM.Items[8].InstanceValues[Params[0]-1].AsFloat)]);
  if VarName = 'pf_procs'  then Result := Format('%3s', [Formatfloat(  '##0', PM.Items[9].InstanceValues[Params[0]-1].AsFloat)]);
  if VarName = 'pf_pfile'  then Result := Formatfloat( '##0', PM.Items[10].InstanceValues[Params[0]-1].AsFloat);
  if VarName = 'pf_pfilep' then Result := Formatfloat( '##0', PM.Items[11].InstanceValues[Params[0]-1].AsFloat);

  end;
  //----------------------------------allgemein-----------------------
  //----------------------------------allgemein-----------------------

  if VarName = 'time'   then Result := TimeToStr(now);
  if VarName = 'date'   then Result := DateToStr(now);
  if VarName = 'uptime' then Result := Format('%sd%s:%s:%s', [FormatFloat('00', gettickcount div 86400000), FormatFloat('00',(gettickcount mod 86400000) div 3600000), FormatFloat('00',(gettickcount mod 3600000) div 60000), FormatFloat('00',(gettickcount mod 60000) div 1000)]);
end;

procedure DekodiereVariable(InStr: String; var VarName: String; var Params: array of Integer);
var i, p: Integer;
begin
  i := 0;
  p := Pos(ParamSep, Instr);
  if p > 0 then                                                  //format von Instr ist var,1,2,3,4,5,6,7
  begin
      Varname := Copy(Instr, 1, p - 1);
      InStr := Copy(Instr, p + 1, Length(Instr) - p + 1);        //1,2,3,4,5,6,7
      while Pos(ParamSep, Instr) > 0 do
      begin
            Params[i] := StrToInt(Copy(Instr, 1, Pos(ParamSep, Instr) - 1));
            InStr := Copy(Instr, Pos(ParamSep, Instr) + 1, Length(Instr) - Pos(ParamSep, Instr) + 1);  //1,2,3,4,5,6
            Inc(i);
      end;
      Params[i] := StrToInt(Instr);                              //7
  end
  else
      Varname := InStr;
end;

procedure AddPerfVar(ObjectName, Countername: String);
var MI: TPerfMonitorItem;
begin
  MI := PM.Items.Add;
  try
     MI.ObjectName := ObjectName;
     MI.CounterName:= Countername;
  except
     MI.Free;
  end;
end;

begin

  MBM5SM := TMBM5SM.Create(nil);

  if Win32Platform = VER_PLATFORM_WIN32_NT then
  begin
        PM := TPerfMonitor.Create(nil);
        PM.LocaleID := '009';

        AddPerfVar('Network Interface', 'Bytes Total/sec');      // 0
        AddPerfVar('Network Interface', 'Bytes Received/sec');   // 1
        AddPerfVar('Network Interface', 'Bytes Sent/sec');       // 2
        AddPerfVar('LogicalDisk', 'Disk Bytes/sec');             // 3
        AddPerfVar('LogicalDisk', 'Disk Read Bytes/sec');        // 4
        AddPerfVar('LogicalDisk', 'Disk Write Bytes/sec');       // 5
        AddPerfVar('Memory', 'Available Bytes');                 // 6
        AddPerfVar('Processor', '% Processor Time');             // 7
        AddPerfVar('System', 'Threads');                         // 8
        AddPerfVar('System', 'Processes');                       // 9
        AddPerfVar('Paging File', '% Usage');                    // 10
        AddPerfVar('Paging File', '% Usage Peak');               // 11
  end;
end.

